#!/usr/bin/env python

# Set these so they match your system.
from __future__ import absolute_import
XLibDir = '/usr/lib/x11'
XIncludes = '/usr/include/x11'

from setuptools import setup, Extension

pywmgeneral = Extension('wmdocklib.pywmgeneral',
                  libraries = ['Xpm', 'Xext', 'X11'],
                  library_dirs = [XLibDir],
                  include_dirs = [XIncludes],
                  sources = ['wmdocklib/pywmgeneral.c'])

setup(
    name="pywmdockapps",
    version = "$Revision: 1.99 $"[11:-2],
    description="This helper functions for windowmaker dockapps\nRead the whole story at http://pywmdockapps.sourceforge.net/",
    author="Kristoffer Erlandsson & al.",
    author_email="mfrasca@zonnet.nl",
    url="http://pywmdockapps.sourceforge.net",
    license="(L)GPL",
    packages=['wmdocklib'],
    package_data={'wmdocklib': ['*.xpm']},
    ext_modules=[pywmgeneral],
)
